GWT 2.7.0

## com.google.gwt.layout.client
Class LayoutImpl

    java.lang.Object
      com.google.gwt.layout.client.LayoutImpl

Direct Known Subclasses:
  LayoutImplIE8

     class LayoutImpl

extends java.lang.Object

Default implementation, which works with all browsers except for IE6. It uses only the "top", "left", "bottom", "right", "width", and "height" CSS properties. Note: This implementation class has state, so `Layout` must create a new instance for each layout-parent.

Field Summary
`protected DivElement` | `relativeRuler`

Constructor Summary
`LayoutImpl()`

Method Summary
`Element` | `attachChild(Element parent, Element child, Element before)`
`protected static DivElement` | `createRuler(Style.Unit widthUnit, Style.Unit heightUnit)`
`void` | `fillParent(Element elem)`
`void` | `finalizeLayout(Element parent)`
`double` | `getUnitSizeInPixels(Element parent, Style.Unit unit, boolean vertical)`
`void` | `initParent(Element parent)`
`void` | `layout(Layout.Layer layer)`
`void` | `onAttach(Element parent)`
`void` | `onDetach(Element parent)`
`void` | `removeChild(Element container, Element child)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### relativeRuler

    protected DivElement relativeRuler

Constructor Detail

### LayoutImpl

    LayoutImpl()

Method Detail

### createRuler

    protected static DivElement createRuler(Style.Unit widthUnit,
                                            Style.Unit heightUnit)

### attachChild

    public Element attachChild(Element parent,
                               Element child,
                               Element before)

### fillParent

    public void fillParent(Element elem)

### finalizeLayout

    public void finalizeLayout(Element parent)

  Parameters:
    `parent` - the parent element

### getUnitSizeInPixels

    public double getUnitSizeInPixels(Element parent,
                                      Style.Unit unit,
                                      boolean vertical)

### initParent

    public void initParent(Element parent)

### layout

    public void layout(Layout.Layer layer)

### onAttach

    public void onAttach(Element parent)

### onDetach

    public void onDetach(Element parent)

### removeChild

    public void removeChild(Element container,
                            Element child)

GWT 2.7.0